<interface>
  <template class="RmCellView" parent="AdwBin">
    <child>
      <object class="GtkBox">
	<property name="orientation">horizontal</property>
	<property name="spacing">6</property>
	<child>
	  <object class="GtkLabel" id="index_widget">
	    <property name="hexpand">false</property>
	    <property name="label"
	      bind-source="RmCellView"
	      bind-property="index-text"
	      bind-flags="sync-create"/>
	  </object>
	</child>
	<child>
	  <object class="GtkLevelBar">
	    <property name="hexpand">true</property>
	    <property name="width-request">100</property>
	    <!--<property name="min-value">3200</property>-->
	    <!--<property name="max-value">4200</property>-->
	    <binding name="value">
	      <lookup name="level">
		<lookup name="model">RmCellView</lookup>
	      </lookup>
	    </binding>
	  </object>
	</child>
	<child>
	  <object class="GtkLabel" id="voltage_widget">
	    <property name="hexpand">false</property>
	    <property name="width-request">60</property>
	    <property name="halign">1</property>
	    <property name="label"
	      bind-source="RmCellView"
	      bind-property="voltage-text"
	      bind-flags="sync-create"/>
	  </object>
	</child>
      </object>
    </child>
  </template>
</interface>
